Bug 1014136 - [abrt] libreoffice-core-3.6.7.2-3.fc18: SfxViewShell::GetController(): Process /usr/lib64/libreoffice/program/soffice.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-core-3.6.7.2-3.fc18: SfxViewShell::GetController(): Proces...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:0620471c9ef63e68ae9dab29dc4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-01 09:03 EDT by Peter H. Jones
Modified: 2013-10-07 06:39 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-07 06:39:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.34 KB, text/plain)
2013-10-01 09:03 EDT, Peter H. Jones
no flags Details
File: cgroup (128 bytes, text/plain)
2013-10-01 09:03 EDT, Peter H. Jones
no flags Details
File: core_backtrace (36.98 KB, text/plain)
2013-10-01 09:03 EDT, Peter H. Jones
no flags Details
File: dso_list (27.44 KB, text/plain)
2013-10-01 09:03 EDT, Peter H. Jones
no flags Details
File: environ (3.35 KB, text/plain)
2013-10-01 09:03 EDT, Peter H. Jones
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-01 09:03 EDT, Peter H. Jones
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-01 09:03 EDT, Peter H. Jones
no flags Details
File: maps (126.34 KB, text/plain)
2013-10-01 09:04 EDT, Peter H. Jones
no flags Details
File: open_fds (587 bytes, text/plain)
2013-10-01 09:04 EDT, Peter H. Jones
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2013-10-01 09:04 EDT, Peter H. Jones
no flags Details
File: var_log_messages (341 bytes, text/plain)
2013-10-01 09:04 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2013-10-01 09:03:24 EDT
Description of problem:
Several windows open

Version-Release number of selected component:
libreoffice-core-3.6.7.2-3.fc18

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin africa.ppt BahiadeSantander.pps 'Beangstigende fotos.pps' Beaute_des_Nombres_RFV13.PPS canalcorin2.ppt canalcor.pdf CHIFFRES22.pps cl08 cl24 cl26 Costa_Concordia_Successful_Salvage_Operation.pps esc2.pps 'Escaleras del mundo.pps' ESCOCIA.PPs 'fran3.5 CUANDO EL MAR SE ENFADA (sonora).pps' 'le canal de Corinthe.pps' 'Les Jours de la Semaine1.pps' 'Lieux abandonnes.pps' sag18 xxx.pps --splash-pipe=6
crash_function: SfxViewShell::GetController()
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.10.12-100.fc18.x86_64
runlevel:       N 5
uid:            3000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SfxViewShell::GetController() at /usr/lib64/libreoffice/program/libsfxlo.so
 #1 sd::framework::FrameworkHelper::FrameworkHelper(sd::ViewShellBase&) at /usr/lib64/libreoffice/program/../program/libsdlo.so
 #2 sd::framework::FrameworkHelper::Instance(sd::ViewShellBase&) at /usr/lib64/libreoffice/program/../program/libsdlo.so
 #3 sd::ViewShellBase::GetMainViewShell() const at /usr/lib64/libreoffice/program/../program/libsdlo.so
 #4 sd::SlideShow::end() at /usr/lib64/libreoffice/program/../program/libsdlo.so
 #5 sd::SlideshowImpl::LinkStubendPresentationHdl(void*, void*) at /usr/lib64/libreoffice/program/../program/libsdlo.so
 #6 ImplWindowFrameProc(Window*, SalFrame*, unsigned short, void const*) at /usr/lib64/libreoffice/program/libvcllo.so
 #7 SalGenericDisplay::DispatchInternalEvent() at /usr/lib64/libreoffice/program/libvcllo.so
 #8 GtkData::userEventFn(void*) at /usr/lib64/libreoffice/program/libvclplug_gtklo.so
 #9 call_userEventFn at /usr/lib64/libreoffice/program/libvclplug_gtklo.so
Comment 1 Peter H. Jones 2013-10-01 09:03:33 EDT
Created attachment 805933 [details]
File: backtrace
Comment 2 Peter H. Jones 2013-10-01 09:03:38 EDT
Created attachment 805934 [details]
File: cgroup
Comment 3 Peter H. Jones 2013-10-01 09:03:42 EDT
Created attachment 805935 [details]
File: core_backtrace
Comment 4 Peter H. Jones 2013-10-01 09:03:47 EDT
Created attachment 805936 [details]
File: dso_list
Comment 5 Peter H. Jones 2013-10-01 09:03:50 EDT
Created attachment 805937 [details]
File: environ
Comment 6 Peter H. Jones 2013-10-01 09:03:54 EDT
Created attachment 805938 [details]
File: exploitable
Comment 7 Peter H. Jones 2013-10-01 09:03:58 EDT
Created attachment 805939 [details]
File: limits
Comment 8 Peter H. Jones 2013-10-01 09:04:02 EDT
Created attachment 805940 [details]
File: maps
Comment 9 Peter H. Jones 2013-10-01 09:04:07 EDT
Created attachment 805941 [details]
File: open_fds
Comment 10 Peter H. Jones 2013-10-01 09:04:11 EDT
Created attachment 805942 [details]
File: proc_pid_status
Comment 11 Peter H. Jones 2013-10-01 09:04:16 EDT
Created attachment 805943 [details]
File: var_log_messages
Comment 12 Caolan McNamara 2013-10-01 10:24:32 EDT
No line numbers in the backtrace, but it appears to happen on ending a slideshow. Reproducible in any way ?
Comment 13 Peter H. Jones 2013-10-04 04:14:04 EDT
I tried, but could not get another crash. When it happened, I had opened a bunch
of e-mail attachments I had received. When I tried to reproduce the bug, I found the CPU was getting saturated, with almost 10% utilisation, and I could not reproduce the crash.
Comment 14 Caolan McNamara 2013-10-07 06:39:24 EDT
blast, well without even a bt there's no chance to guess

Note You need to log in before you can comment on or make changes to this bug.